Bug 1500088 - SELinux is preventing boinc_client from 'map' accesses on the fichier /var/lib/boinc/slots/4/boinc_mmap_file.
Summary: SELinux is preventing boinc_client from 'map' accesses on the fichier /var/li...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d4c13f71b5d525b4bb3af2dc2b0...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-09 20:37 UTC by Nicolas Berrehouc
Modified: 2017-10-31 15:33 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-31 15:33:34 UTC


Attachments (Terms of Use)

Description Nicolas Berrehouc 2017-10-09 20:37:23 UTC
Description of problem:
Since upgrade from F26 to F27 Beta
SELinux is preventing boinc_client from 'map' accesses on the fichier /var/lib/boinc/slots/4/boinc_mmap_file.

*****  Plugin catchall (100. confidence) suggests   **************************

If vous pensez que boinc_client devrait être autorisé à accéder map sur boinc_mmap_file file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
allow this access for now by executing:
# ausearch -c 'boinc_client' --raw | audit2allow -M my-boincclient
# semodule -X 300 -i my-boincclient.pp

Additional Information:
Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:object_r:boinc_project_var_lib_t:s0
Target Objects                /var/lib/boinc/slots/4/boinc_mmap_file [ file ]
Source                        boinc_client
Source Path                   boinc_client
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.5.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.5-300.fc27.x86_64 #1 SMP Thu
                              Oct 5 16:57:11 UTC 2017 x86_64 x86_64
Alert Count                   168
First Seen                    2017-10-09 21:59:19 CEST
Last Seen                     2017-10-09 22:25:21 CEST
Local ID                      7871ddf1-fedf-4666-8817-b32d03d1c3f4

Raw Audit Messages
type=AVC msg=audit(1507580721.357:1110): avc:  denied  { map } for  pid=1179 comm="boinc_client" path="/var/lib/boinc/slots/4/boinc_mmap_file" dev="dm-0" ino=261347 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:boinc_project_var_lib_t:s0 tclass=file permissive=0


Hash: boinc_client,boinc_t,boinc_project_var_lib_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-283.5.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.13.5-300.fc27.x86_64
type:           libreport

Comment 1 Nicolas Berrehouc 2017-10-11 18:20:36 UTC
Works fine with selinux-policy-3.13.1-283.9.fc27.noarch and selinux-policy-targeted-3.13.1-283.9.fc27.noarch

Comment 2 Fedora Update System 2017-10-25 10:10:16 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 3 Fedora Update System 2017-10-27 18:44:18 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 4 Fedora Update System 2017-10-31 15:33:34 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.